### Almacen SpringCore
Almacen gestionado mediante SpringCore

## Descripcion
Este programa es un almacen en el cual puedes observar los productos que tienes, <br>
cuales productos son de un fabricador, etc.

´´´
    ID	Name      	    Manufacturer	Shelf	Weight	Size	Num	Notes
    1	Dobojorn  	    Ikea      	A2	20	XL	2	furniture
    2	Nintendo Swich	Nintendo  	B4	0.2	XS	1	entertainment, gaming
    3	SuperChair	    Secret Lab	B3	2	L	3	furniture, gaming
    4	Ender 3 V2	    Creality  	C1	6	M	4	printer
    5	Ender 3 S1	    Creality  	C8	8	M	4	printer
    6	Mario Kart 8	Nintendo  	B1	0.1	XXS	22	entertainment, gaming, videogames
    7	Milkentron	    Ikea      	A2	2	L	1	furniture
    8	Kobra     	    Anycubic  	A5	8	M	5	printer, entry-level
    9	Airfriyer 	    Xaomi     	B2	4	M	1	appliance, cooking
    10	Mars 2    	    Elogoo    	B5	10	XL	2	printer, resin
    11	OLED TV   	    Samsung   	A8	20	XXL	1	entertainment, expensive
´´´

## Diagrama
![Running app](AlmacenSpringCore.jpg)

## Uso
La aplicación es funcional pero para utilizarla hay que utilizar Java 8 o mayor y tener <br>
instalada "jakarta.annotation-api-1.3.5.jar". <br>
La aplicacion solo acepta argumentos de programa, para ejecutarla correctamente hay que hacer click <br>
derecho en el proyecto, run as, run configurations y en la ventana de arguments poner uno de los siguientes argumentos.


´´´
	-la
	Lista todos los productos.
	No se pueden utilizar parametros
	
	-lm
	Lista todos los fabricantes
	No se pueden utilizar parametros
	
	-ln
	Lista toads las notas
	No se pueden utilizar parametros
	
	-gm manufacturer
	Busca al producto por fabricante
	fabricante = fabricante del producto
	
	-gn nota
	Busca al producto por notas
	notas = notas del producto
´´´