package com.yaros.almacen.dao;

import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Paths;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

import org.springframework.util.ResourceUtils;

import com.yaros.almacen.model.Product;

public class UtilProductFileReader {
	
	public static List<Product> readFile(final String path, final String separator, final String listSeparator){
		System.out.println(path);
		System.out.println(separator);
		System.out.println(listSeparator);
		List<Product> result = new ArrayList<>();
		System.out.println(result);
		// @formatter:off
		try {
			result = Files.lines(Paths.get(ResourceUtils.getFile(path).toURI()))
			.skip(1)
			.map(line -> {
				String[] values = line.split(separator);
				return new Product(Long.parseLong(values[0]), values[1], values[2], values[3], values[4], values[5], Integer.parseInt(values[6]),
						Arrays.asList(values[7].split(listSeparator)));
			}).collect(Collectors.toList());
		} catch (IOException e) {
			e.printStackTrace();
			/*System.err.println("Error de lectura del fichero de datos: imdb_data");
			System.exit(-1);*/
		}
		// @formatter:on
		return result;
	}
}
